Refresh Stripe Connect Status
Retrieve the active account from Stripe and reconcile its capabilities, onboarding state, and requirements snapshot.
Retrieve the active account from Stripe and reconcile its capabilities, onboarding state, and requirements snapshot.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Response Body
application/json
curl -X POST "https://example.com/stripe-connect/status/refresh"{ "connected": true, "connectionId": "string", "accountId": "string", "accountType": "standard", "chargesEnabled": true, "payoutsEnabled": true, "onboardingComplete": true, "detailsSubmitted": true, "email": "string", "businessName": "string", "country": "string", "requirements": { "currentlyDue": [ "string" ], "eventuallyDue": [ "string" ], "pastDue": [ "string" ], "pendingVerification": [ "string" ], "disabledReason": "string", "currentDeadline": "2019-08-24T14:15:22Z" }, "connectedAt": "2019-08-24T14:15:22Z", "lastProviderEventId": "string", "lastProviderEventAt": "2019-08-24T14:15:22Z"}Empty
Empty
Empty
Onboard Stripe Connect POST
Compatibility alias for the Stripe Standard OAuth start command. No account is created until the user selects or creates one on Stripe.
Start Stripe Connect O Auth POST
Start a one-time Stripe Standard OAuth flow. The lab owner can sign into an existing Stripe account or create a new one on Stripe.